﻿// CSettingDlg.cpp : 実装ファイル
//

#include "pch.h"
#include "ReimuIcon.h"
#include "afxdialogex.h"
#include "CSettingDlg.h"


// CSettingDlg ダイアログ

IMPLEMENT_DYNAMIC(CSettingDlg, CDialogEx)

CSettingDlg::CSettingDlg(CWnd* pParent /*=nullptr*/)
	: CDialogEx(IDD_DIALOG_SETTING, pParent)
	, m_cText(_T(""))
{

	m_iWipeCycleTime = 0;
}

CSettingDlg::~CSettingDlg()
{
}

void CSettingDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_MFCCOLORBUTTON_TEXT, m_cColSelText);
	DDX_Control(pDX, IDC_MFCCOLORBUTTON_BK, m_cColSelBk);
	DDX_Text(pDX, IDC_EDT_TEXT, m_cText);
	DDV_MaxChars(pDX, m_cText, 15);
	DDX_Control(pDX, IDC_SPIN_WIPE_SPEED, m_cSpenWipeSpeed);
}


BEGIN_MESSAGE_MAP(CSettingDlg, CDialogEx)
	ON_BN_CLICKED(IDOK, &CSettingDlg::OnBnClickedOk)
END_MESSAGE_MAP()


// CSettingDlg メッセージ ハンドラー


BOOL CSettingDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// TODO: ここに初期化を追加してください
	this->m_cColSelText.SetColor(this->m_dwTextColor);		// 文字色選択初期化
	this->m_cColSelBk.SetColor(this->m_dwBkColor);			// 背景色選択初期化

	// スピンコントロールの設定
	this->m_cSpenWipeSpeed.SetRange32(10, 100);				// 下限と上限を設定
	this->m_cSpenWipeSpeed.SetPos32(m_iWipeCycleTime);		// 初期値を設定

	this->UpdateData(FALSE);								// 変数をコントロールに反映
	return TRUE;  // return TRUE unless you set the focus to a control
				  // 例外 : OCX プロパティ ページは必ず FALSE を返します。
}


void CSettingDlg::OnBnClickedOk()
{
	// TODO: ここにコントロール通知ハンドラー コードを追加します。
	this->UpdateData(TRUE);								// コントロールの状態を変数に反映
	this->m_dwTextColor = m_cColSelText.GetColor();		// 文字色設定取得
	this->m_dwBkColor = m_cColSelBk.GetColor();			// 背景色設定取得

	// スピンコントロールから制御周期を取得する
	this->m_iWipeCycleTime = this->m_cSpenWipeSpeed.GetPos32();

	CDialogEx::OnOK();
}
